Subject: RE: loading image using ARM SDT

From: Clive Davies <[email-masked]>
Date: Mon, 15 May 2000 06:08:08 -0700

I had a similar problem - I could see the disassembled code and had
low-level symbols, but no high level symbols. I tried rebuilding gcc to
support dwarf2 debug tables as this is what the ARM SDT uses, and then
recompiled my kernel with my new gcc using -gdwarf-2. I can now get symbols
and high level debugging for a simple test program, but sadly the the SDT
debugger generates an access violation and crashes whilst tring to load the
kernel image. This was using the armulator though, so it may (if you're
lucky) be ok in remote debug mode, and/or with uclinux.

Cheers,
Clive

-----Original Message-----
From: Xavier DEBREUIL [mailto:[email-masked]]
Sent: 15 May 2000 13:43
To: [email-masked]
Cc: [email-masked]
Subject: Re: loading image using ARM SDT

I am currently using the Embedded Ice Interface and my board does not use
Angel.
I am loading the linux image of uclinux with the arm sdt250 and everything
works
properly expected that I do not have the file debugging level ; I only have
the
assembler but I have the symbols.

Lavu Sridhar wrote:
> 
> Hello,
> 
> I have compiled 2.3.99  using the arm-tool-chain, and got some vmlinux
> image. Can i use the ARM SDT KIT and load the image into the CL7500FE
> Evaluation Board via the serial port? Using the ARM SDT Kit, i want to
> load the image into the DRAM (32MB). The ROM has the Angel Debugger in it.
> 
> Regards,
> Lavu Sridhar
> 
>  ---------------------------------------------------------------------
> 
> unsubscribe: body of `unsubscribe linux-arm-kernel' to
[email-masked]

unsubscribe: body of `unsubscribe linux-arm-kernel' to
[email-masked]

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]

---

From: Xavier DEBREUIL <[email-masked]>
Date: Tue, 16 May 2000 11:37:31 +0200

Hi Clive,
I've tried the -gdwarf-2 option and the compiler does not complain
My makefile is :
essai: essai.c makefile
	arm-uclinux-gcc -gdwarf-2 -mbig-endian -Wall -Wstrict-prototypes -c -o essai.o
essai.c
	arm-uclinux-ld -EB -Ttext 0x1200000 -Tdata 0x1200100 essai.o -o essai

Nevertheless, the sdt crashes when I try to toggle interleave or something else
and I have the following error message when I load the program :
"Debug table corrupted (see RDI log for details)..."

Do I need to rebuild the arm-uclinux-gcc or am I missing some compiler options ?

Thank you.
Xavier.